#ifndef NADION_LASER_H
#define NADION_LASER_H


#include "weapon.h"


class NadionLaser : public Weapon
{
  ObjectListDeclaration(NadionLaser);
  public:
    NadionLaser();
    NadionLaser (const TiXmlElement* root);
    virtual ~NadionLaser();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void fire();

    virtual void tick(float dt);

    virtual void draw() const;

  private:
    PNode*** objComp;
    Animation3D*** shootAnim;
    PNode** emissionPoint;

    int activeBarrel;

};

#endif
